Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class ShapeExtender

    java.lang.Object
      org.apache.batik.ext.awt.geom.ShapeExtender

All Implemented Interfaces:
  ExtendedShape, java.awt.Shape

public class ShapeExtender
extends java.lang.Object
implements ExtendedShape

This class wraps a normal path into an extended path.

Nested Class Summary
`static class` | `ShapeExtender.EPIWrap`

Constructor Summary
`ShapeExtender(java.awt.Shape shape)`

Method Summary
`boolean` | `contains(double x, double y)`
`boolean` | `contains(double x, double y, double w, double h)`
`boolean` | `contains(java.awt.geom.Point2D p)`
`boolean` | `contains(java.awt.geom.Rectangle2D r)`
`java.awt.Rectangle` | `getBounds()`
`java.awt.geom.Rectangle2D` | `getBounds2D()`
`ExtendedPathIterator` | `getExtendedPathIterator()` Get an extended Path iterator that may return SEG_ARCTO commands
`java.awt.geom.PathIterator` | `getPathIterator(java.awt.geom.AffineTransform at)`
`java.awt.geom.PathIterator` | `getPathIterator(java.awt.geom.AffineTransform at, double flatness)`
`boolean` | `intersects(double x, double y, double w, double h)`
`boolean` | `intersects(java.awt.geom.Rectangle2D r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeExtender

    public ShapeExtender(java.awt.Shape shape)

Method Detail

### contains

    public boolean contains(double x,
                            double y)

  Specified by:
    `contains` in interface `java.awt.Shape`

### contains

    public boolean contains(double x,
                            double y,
                            double w,
                            double h)

  Specified by:
    `contains` in interface `java.awt.Shape`

### contains

    public boolean contains(java.awt.geom.Point2D p)

  Specified by:
    `contains` in interface `java.awt.Shape`

### contains

    public boolean contains(java.awt.geom.Rectangle2D r)

  Specified by:
    `contains` in interface `java.awt.Shape`

### getBounds

    public java.awt.Rectangle getBounds()

  Specified by:
    `getBounds` in interface `java.awt.Shape`

### getBounds2D

    public java.awt.geom.Rectangle2D getBounds2D()

  Specified by:
    `getBounds2D` in interface `java.awt.Shape`

### getPathIterator

    public java.awt.geom.PathIterator getPathIterator(java.awt.geom.AffineTransform at)

  Specified by:
    `getPathIterator` in interface `java.awt.Shape`

### getPathIterator

    public java.awt.geom.PathIterator getPathIterator(java.awt.geom.AffineTransform at,
                                                      double flatness)

  Specified by:
    `getPathIterator` in interface `java.awt.Shape`

### getExtendedPathIterator

    public ExtendedPathIterator getExtendedPathIterator()

  Description copied from interface: `ExtendedShape`
  Get an extended Path iterator that may return SEG_ARCTO commands

  Specified by:
    `getExtendedPathIterator` in interface `ExtendedShape`

### intersects

    public boolean intersects(double x,
                              double y,
                              double w,
                              double h)

  Specified by:
    `intersects` in interface `java.awt.Shape`

### intersects

    public boolean intersects(java.awt.geom.Rectangle2D r)

  Specified by:
    `intersects` in interface `java.awt.Shape`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.